Bug 823133 - nfs-nlm: valgrind display definitely lost issues
nfs-nlm: valgrind display definitely lost issues
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
pre-release
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Vinayaga Raman
Saurabh
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-05-19 07:30 EDT by Saurabh
Modified: 2016-01-19 01:10 EST (History)
4 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:21:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Saurabh 2012-05-19 07:30:19 EDT
Description of problem:
==4265== 140 bytes in 2 blocks are definitely lost in loss record 132 of 312
==4265==    at 0x4A04A28: calloc (vg_replace_malloc.c:467)
==4265==    by 0x4C5A948: __gf_calloc (mem-pool.c:141)
==4265==    by 0x4C24268: gf_strdup (mem-pool.h:121)
==4265==    by 0x4C264BF: loc_copy (xlator.c:602)
==4265==    by 0x939C8B6: client3_1_link (client3_1-fops.c:3574)
==4265==    by 0x937F75A: client_link (client.c:793)
==4265==    by 0x95D2A37: afr_link_wind (afr-dir-write.c:915)
==4265==    by 0x95F13D8: afr_changelog_pre_op_cbk (afr-transaction.c:770)
==4265==    by 0x95F29E9: afr_changelog_pre_op (afr-transaction.c:943)
==4265==    by 0x95F39AD: afr_internal_lock_finish (afr-transaction.c:1214)
==4265==    by 0x95F352E: afr_post_nonblocking_entrylk_cbk
(afr-transaction.c:1077)
==4265==    by 0x9615586: afr_nonblocking_entrylk_cbk (afr-lk-common.c:1205)

==4265== 1,197 bytes in 21 blocks are definitely lost in loss record 246 of 312
==4265==    at 0x4A04A28: calloc (vg_replace_malloc.c:467)
==4265==    by 0x4C5A948: __gf_calloc (mem-pool.c:141)
==4265==    by 0x4C3E6AA: gf_strdup (mem-pool.h:121)
==4265==    by 0x4C3F92E: __dentry_create (inode.c:490)
==4265==    by 0x4C40575: __inode_link (inode.c:855)
==4265==    by 0x4C4072B: inode_link (inode.c:895)
==4265==    by 0x9D07337: nfs3_fh_resolve_entry_lookup_cbk (nfs3-helpers.c:3574)
==4265==    by 0x9CD87CE: nfs_fop_lookup_cbk (nfs-fops.c:316)
==4265==    by 0x9AB2CB1: io_stats_lookup_cbk (io-stats.c:1469)
==4265==    by 0x986AE29: dht_lookup_dir_cbk (dht-common.c:490)
==4265==    by 0x96247D0: afr_lookup_done (afr-common.c:1878)
==4265==    by 0x9624ED2: afr_lookup_cbk (afr-common.c:2041)


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Amar Tumballi 2012-05-21 08:07:53 EDT
patches (http://review.gluster.com/3389) submitted for both master/release-3.3 branch for first issue. Second issue is not valid as it cleanly clears off all the allocated memory in dentry_unset (which happens after a proper 'rm' (or forget)).
Comment 2 Saurabh 2012-05-24 02:42:02 EDT
executed valgrind on latest git pull and didn't the issues mentioned above

git head
commit b86436da7e0de47282c46cd14989e4cbaad0501d

Note You need to log in before you can comment on or make changes to this bug.